function [lambdaF_combined] = combineSinCos(lambdaF, nScaleGabor, nOrient, nScaleDoG)
lambdaF_combined=[];
for iScale = 1:nScaleGabor
    for iOrient = 1:nOrient
      lambdaF_combined =[lambdaF_combined (lambdaF{iOrient+ (iScale-1)*2*nOrient } +  lambdaF{iOrient+nOrient + (iScale-1)*2*nOrient })/2];
       
    end
end
for iScale = 1: nScaleDoG
    lambdaF_combined =[lambdaF_combined lambdaF{ nScaleGabor*nOrient*2 + iScale}];
end